keywords: ip pbx voip gateway gsm gateway

× Questions about A810/1610/2410 Advanced Analog Interface Card

DAHDI compile error

9 years 2 months ago #7578 by bojans
Dear support,

While compiling the drivers for A2410P card I get the following error:

make[2]: Entering directory `/usr/src/kernels/2.6.18-194.17.1.el5-i686'
CC [M] /usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.o
/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.c:138: error: unknown field ânameâ specified in initializer
/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.c:138: warning: initialization from incompatible pointer type
/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.c: In function âa24xx_echocan_createâ:
/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.c:167: error: âconst struct dahdi_echocan_opsâ has no member named ânameâ
/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.c: In function âa24xx_init_spansâ:
/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.c:2151: error: âstruct dahdi_spanâ has no member named âmaintqâ
make[4]: *** [/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx/base.o] Error 1
make[3]: *** [/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi/opvxa24xx] Error 2
make[2]: *** [_module_/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux/drivers/dahdi] Error 2
make[2]: Leaving directory `/usr/src/kernels/2.6.18-194.17.1.el5-i686'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/dahdi-linux-complete-2.5.0.1+2.5.0.1/linux'
make: *** [all] Error 2

I am using dahdi-linux-complete-2.5.0.1+2.5.0.1 and I have all the packages listed here installed.

Can you help me diagnose this problem?

Best regards,
Bojan Sinkovic
9 years 2 months ago #7580 by chunlei.yi
hi
please download the dahdi 2.5 driver from this link and recompile: http://downloads.openvox.cn/pub/drivers/dahdi-linux-complete/releases/1.3.3/openvox_dahdi-linux-complete-2.5.0.1+2.5.0.1.tar.gz . more detail you can refer to this link: http://bbs.openvox.cn/viewthread.php?tid=1750& ;extra=page%3D1
my email:[email protected]
9 years 2 months ago #7581 by bojans
Thank you very much for your help. The driver compiled as expected.

I suggest you update the User manual with the instructions from the link you priveded.
Time to create page: 0.039 seconds
Powered by Kunena Forum